﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace MvcScaffolding.Models
{

    public class Region
    {
        public int Id { get; set; }
        public string Bezeichnung { get; set; }
    }


    
    public class Hotel
    {
        public int Id { get; set; }

        
        public string Name { get; set; }
        
        public int Sterne { get; set; }
        public Region Region { get; set; }
        [DataType(DataType.EmailAddress)]
        public string EMail { get; set; }

        //[DataType("CustomDataType")]
        [UIHint("CustomDataType")]
        public string Infos { get; set; }
        
        [DataType(DataType.MultilineText)]
        public string Lage { get; set; }

        
        public bool HatSeminarRaeume { get; set; }
        public DateTime[] ExistiertSeit { get; set; }



    }

}