﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Runtime.Serialization;
using System.Web.Http;
using System.Xml.Serialization;
using Newtonsoft.Json;

namespace WebAPI_RC1.Controllers
{
public class Mitarbeiter
{
    public String Name { get; set; }
    public Abteilung Abteilung { get; set; }
}

[DataContract]
public class Abteilung
{
    [DataMember(Name="AbteilungsName", IsRequired=true)]
    public String Bezeichnung { get; set; }

    [DataMember]
    public Mitarbeiter Manager { get; set; }

    [JsonIgnore]
    [XmlIgnore]
    public string Budget{ get; set; }
}

//[DataContract(IsReference = true)]
//public class Abteilung
//{
//    [DataMember]
//    public String Bezeichnung { get; set; }

//    [DataMember]
//    public Mitarbeiter Manager { get; set; }

//}



    /*
     * 
     * <Mitarbeiter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WebAPI_RC1.Controllers"><Abteilung z:Id="i1" xmlns:z="http://schemas.microsoft.com/2003/10/Serialization/"><Bezeichnung>Management</Bezeichnung><Manager><Abteilung z:Ref="i1" /><Name>Susi Sorglos</Name></Manager></Abteilung><Name>Susi Sorglos</Name></Mitarbeiter>
     * 
{
    "$id": "1",
    "Name": "Susi Sorglos",
    "Abteilung": {
    "$id": "2",
    "Bezeichnung": "Management",
    "Manager": {
        "$ref": "1"
    }
    }
}
     */

    public class EmpController : ApiController
    {
        public Mitarbeiter GetManagerOfDudy()
        {
            var ma = new Mitarbeiter();
            ma.Name = "Susi Sorglos";
            ma.Abteilung = new Abteilung { Bezeichnung = "Management" };
            ma.Abteilung.Manager = ma;

            return ma;
        }
        
    }
}
