﻿using System.Net.Http;
using System.Threading.Tasks;
using System.Diagnostics;

namespace HotelService.Handler
{


    public class LoggingHandler : DelegatingHandler 
    {
        protected override Task<HttpResponseMessage> SendAsync(HttpRequestMessage request, System.Threading.CancellationToken cancellationToken)
        {
            Debug.WriteLine("Begin Request: {0} {1}", request.Method, request.RequestUri);
            return base.SendAsync(request, cancellationToken);
        }
    }
}