﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="jQuery-UI-Plugin.aspx.cs" Inherits="WebApplication1.jQuery_Effects" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    
    <link href="css/ui-darkness/jquery-ui-1.8.2.custom.css" rel="stylesheet" type="text/css" />

    <style type="text/css">
        #blue 
        {
            width:100px;
            height:100px;
            background-color:Blue;
        }
        
        #red
        {
            width:100px;
            height:100px;
            background-color:Red;
        }
        
        .drag 
        {
            background-color:Silver;
        }
    </style>

    <script src="Scripts/jquery-1.4.1-vsdoc.js" type="text/javascript"></script>
    <script src="js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>

    <script type="text/javascript" src="js/jquery.tablednd_0_5.js"></script>

    <script type="text/javascript">
        $(function () {

            $("#accordion").accordion({ animated: "bounceslide" });

            $("#myTable").tableDnD({
                onDragClass: "drag",
                onDrop: function (table, row) {
                    alert($('#myTable').tableDnDSerialize());
                }
            });

        });
        
        
    </script>
    
    
</head>
<body>
    <form id="form1" runat="server">
    <div>

        <div id="accordion">
            <h3><a href="#">First header</a></h3>
            <div>First content</div>
            
            <h3><a href="#">Second header</a></h3>
            <div>Second content</div>
        </div>

        <table id="myTable" cellspacing="0" cellpadding="4">
        <thead>
            <tr>
                <th>Vorname</th>
                <th>Nachname</th>
                <th>EMail</th>
            </tr>
        </thead>
        <tbody>
            <tr id="tr1">
                <td>Max</td>
                <td>Muster</td>
                <td>max.muster@gmx.net</td>
            </tr>
            <tr id="tr2">
                <td>Susi</td>
                <td>Sorglos</td>
                <td>susi.sorglos@gmx.net</td>
            </tr>
            <tr id="tr3">
                <td>Anna</td>
                <td>Polliker</td>
                <td>anna.polliker@gmx.net</td>
            </tr>
            <tr id="tr4">
                <td>Klara</td>
                <td>Fall</td>
                <td>klara.fall@gmx.net</td>
            </tr>
            <tr id="tr5">
                <td>Peter</td>
                <td>Gogik</td>
                <td>peter.gogik@gmx.net</td>
            </tr>
        </tbody>
        </table>

    </div>
    </form>
</body>
</html>
