﻿using Microsoft.Data.OData;
using Microsoft.Data.OData.Query;
using ODataSample.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web;
using System.Web.Http;
using System.Web.Http.OData;
using System.Web.Http.OData.Routing;
using System.Web.Mvc;

namespace ODataSample.Controllers
{
    public class RegionenController : EntitySetController<Region, int>
    {
        private HotelDbContext ctx = new HotelDbContext();


        protected override Region CreateEntity(Region entity)
        {
            ctx.Regionen.Add(entity);
            ctx.SaveChanges();
            return entity;
        }

        protected override Region GetEntityByKey(int key)
        {
            return ctx.Regionen.Find(key);
        }

        public override IQueryable<Region> Get()
        {
            return ctx.Regionen;
        }

        protected override int GetKey(Region entity)
        {
            return entity.RegionId;
        }
    }
}
