﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Xml.Serialization;

namespace ExtendingMVC.ActionResultImpl
{
public class XmlActionResult: ActionResult
{
    private object model;

    public XmlActionResult(object model)
    {
        this.model = model;
    }

    public override void ExecuteResult(ControllerContext context)
    {
        var response = context.HttpContext.Response;
        response.ContentType = "text/xml";

        var serializer = new XmlSerializer(model.GetType());
        serializer.Serialize(response.OutputStream, model);
    }
}
}