﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Threading;
using System.Web;
using System.Web.Http.ModelBinding;
using System.Web.Mvc;

namespace ExtendingMVC
{
    public class SimpleCustomModelBinder: DefaultModelBinder //System.Web.Mvc.IModelBinder
    {
        public override object BindModel(System.Web.Mvc.ControllerContext controllerContext, System.Web.Mvc.ModelBindingContext bindingContext)
        {
            if (bindingContext.ModelName == "userName" && bindingContext.ModelType == typeof(string))
            {
                return Thread.CurrentPrincipal.Identity.Name;
            }

            if (bindingContext.ModelType == typeof(IPrincipal))
            {
                return Thread.CurrentPrincipal;
            }
            return base.BindModel(controllerContext, bindingContext);
        }
    }
}