﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using ExtendingMVC.Metadata;

namespace ExtendingMVC.Models
{

    public class Address {
        
        [ToolTip("Beispiel: Musterstrasse 17/3")]
        [Required]
        public string Strasse { get; set; }
        
        [Required]
        [StringLength(5)]
        public string Plz { get; set; }
        public string Land { get; set; }
    }

    public class PersonModel
    {
        
        public int Id { get; set; }

        
        public string Vorname { get; set; }
        public string Nachname { get; set; }
        public Address Adresse { get; set; }
        
        public int[] FriendsIds { get; set; }
    }
}