﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ExtendingMVC.ViewEngine
{
    public class CustomView: IView
    {
        public void Render(ViewContext viewContext, System.IO.TextWriter writer)
        {
            var response = viewContext.HttpContext.Response;
            response.ContentType = "text/plain";

            var model = viewContext.ViewData.Model;
            foreach (var p in model.GetType().GetProperties())
            {
                writer.WriteLine("{0}: {1}", p.Name, p.GetValue(model, null));
            }
        }
    }
}