﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http.Filters;
using ExtWebApi.Controllers;

namespace ExtWebApi.Filter
{
    public class CustomFilterProvider: IFilterProvider
    {
        public IEnumerable<FilterInfo> GetFilters(System.Web.Http.HttpConfiguration configuration, System.Web.Http.Controllers.HttpActionDescriptor actionDescriptor)
        {
            var result = new List<FilterInfo>();

            if (actionDescriptor.ActionName == "Post" && actionDescriptor.ControllerDescriptor.ControllerType == typeof(FilterSampleController))
            {
                var filterInfo = new FilterInfo(new SampleExceptionFilterAttribute(), FilterScope.Action);
                result.Add(filterInfo);
            }

            return result;
        }
    }
}