﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http.Validation;
using ExtWebApi.Models;

namespace ExtWebApi.Validation
{
    public class CustomModelValidatorProvider : ModelValidatorProvider
    {
        
        public override IEnumerable<ModelValidator> GetValidators(System.Web.Http.Metadata.ModelMetadata metadata, IEnumerable<ModelValidatorProvider> validatorProviders)
        {
            var result = new List<ModelValidator>();
            if (metadata.ContainerType == typeof(Adresse) && metadata.ModelType == typeof(string) && metadata.PropertyName == "Strasse") {
                result.Add(new AnschriftValidator(validatorProviders));
            }

            return result;
        }
    }
}