﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Threading.Tasks;
using System.Web.Http;

namespace WebAPI_RC1.Controllers
{
    public class EchoController : ApiController
    {
        public string Get()
        {
            return "GET";
        }
        public async Task<string> Post()
        {
            if (Request.Content.IsFormData())
            {
                var formData = await Request.Content.ReadAsFormDataAsync();
                return formData["message"];
            }
            return "No Message!";
        }
    }
}
