﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using Newtonsoft.Json.Linq;

namespace WebAPI_RC1.Controllers
{
    public class InfoController : ApiController
    {

        public class QuestionRequest
        {
            public string Question { get; set; }
            public string SenderName { get; set; }
        }

        // http://localhost:1307/api/Info?question=Hallo
        //public void PostRequest([FromUri]QuestionRequest q)
        //{
        //    Debug.WriteLine(q.Question);
        //}

        // Geht net ..
        //public void PostRequest([FromBody]String Question)
        //{
        //    Debug.WriteLine(Question);
            
        //}

        //public DateTime GetTime()
        //{
        //    return DateTime.Now;
        //}

        public object Get()
        {
            return new
            {
                Version = 0.9
            };
        }

        
        public object Post(JObject value)
        {
            
            if (value["All"].ToString().ToLower() == "true")
            {
                

                string email = "";
                JToken includeEMail = null;
                JToken settings = value["Settings"];
                if (settings != null) includeEMail = settings["IncludeEMail"];

                if (includeEMail != null && includeEMail.ToString().ToLower() == "true")
                {
                    email = "vorname.nachname@domain.siehe.oben";
                }
                else
                {
                    email = "";
                }

                
                var response = new
                {
                    Version = 0.9,
                    Autor = "Manfred Steyer",
                    URL = "www.softwarearchitekt.at",
                    EMail = email
                };


                return response;

            }

            return new {
                Version = 0.9
            };
           

        }

    }
}
