﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="jQuery-Effects.aspx.cs" Inherits="WebApplication1.jQuery_Effects" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    
    <link href="css/ui-darkness/jquery-ui-1.8.2.custom.css" rel="stylesheet" type="text/css" />

    <style type="text/css">
        #blue 
        {
            width:100px;
            height:100px;
            background-color:Blue;
        }
        
        #red
        {
            width:100px;
            height:100px;
            background-color:Red;
        }
        
        .drag 
        {
            background-color:Silver;
        }
    </style>

    <script src="Scripts/jquery-1.4.1-vsdoc.js" type="text/javascript"></script>
    <script src="js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>

    <script type="text/javascript" src="js/jquery.tablednd_0_5.js"></script>

    <script type="text/javascript">
        $(function () {
            $("#lnkFadeOut").click(function () {
                $("#blue").fadeOut('slow');
            });

            $("#lnkFadeIn").click(function () {
                $("#blue").fadeIn('fast');
            });

            $("#lnkFadeOutIn").click(function () {
                $("#blue").fadeOut('fast').fadeIn(1000);
            });

            $("#lnkFadeTo").click(function () {
                $("#blue").fadeTo('slow', 0.5);
            });

            $("#lnkHide").click(function () {
                $("#blue").hide('slow');
            });

            $("#lnkShow").click(function () {
                $("#blue").show('slow');
            });

            $("#lnkSlideUp").click(function () {
                $("#blue").slideUp('slow');
            });

            $("#lnkSlideDown").click(function () {
                $("#blue").slideDown('slow');
            });


            $("#lnkAnimate").click(function () {

                $("#blue").animate({
                    opacity: 0.3,
                    left: "400"
                },
                {
                    duration: 1000,
                    easing: 'swing'
                });
            });

            $("#lnkAnimate2").click(function () {

                $("#blue").animate({
                    opacity: "-=0.1",
                    left: "+=100"
                },
                {
                    duration: 1000,
                    easing: 'swing'
                });
            });


        });
        
        
    </script>
    
    
</head>
<body>
    <form id="form1" runat="server">
    <div>


        <div id="blue" style="position:relative;left:0px;"></div>
        <div id="red"></div>
    

        <a href="#" id="lnkFadeOut">FadeOut</a><br />
        <a href="#" id="lnkFadeIn">FadeIn</a><br />
        <a href="#" id="lnkFadeOutIn">FadeOutIn</a><br />
        <a href="#" id="lnkFadeTo">FadeTo 50%</a><br />
        <a href="#" id="lnkHide">Hide</a><br />
        <a href="#" id="lnkShow">Show</a><br />
        <a href="#" id="lnkSlideUp">SlideUp</a><br />
        <a href="#" id="lnkSlideDown">SlideDown</a><br />
        <a href="#" id="lnkAnimate">Animate</a><br />
        <a href="#" id="lnkAnimate2">Animate 2</a><br />



    </div>
    </form>
</body>
</html>
