﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcApplication1.Controllers
{



    public class AutoCompleteController : Controller
    {
        //
        // GET: /AutoComplete/

        public string Index()
        {
            return Request.RawUrl;
        }

        public ActionResult FindTerms(string term)
        {
            var list = new List<dynamic>();
            for (int i = 1; i <= 10; i++)
            {
                list.Add(term + i);
            }
            return Json(list, JsonRequestBehavior.AllowGet);
        }

        public ActionResult FindTermsWithValue(string term)
        {
            var list = new List<dynamic>();
            for (int i = 1; i <= 10; i++)
            {
                list.Add(new { label=(term + i), value=i, id = i });
            }
            return Json(list, JsonRequestBehavior.AllowGet);
        }

    }
}
