﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Threading;
using System.Web.Http;

namespace SecureService.Controllers
{
    
    public class SecureController : ApiController
    {

        [Authorize]    
        public IEnumerable<string> Get()
        {
            var cp = Thread.CurrentPrincipal;

            Debug.WriteLine("Name: " + cp.Identity.Name);
            Debug.WriteLine("IsAuthenticated: " + cp.Identity.IsAuthenticated);
            Debug.WriteLine("isHero: " + cp.IsInRole("Heros"));


            var cert = Request.GetClientCertificate();
            if (cert != null) {
                Debug.WriteLine("Certificate.FriendlyName: " + cert.FriendlyName);
                Debug.WriteLine("Certificate.Subject: " + cert.Subject);
                Debug.WriteLine("Certificate.Thumbprint: " + cert.Thumbprint);
                Debug.WriteLine("Certificate.Issuer: " + cert.Issuer);
            }

            return new string[] { "value1", "value2" };
        }

        
        
        public string Get(int id)
        {
            var clientCert = Request.GetClientCertificate();


            return "value " + id;
        }

        // POST api/values
        public void Post([FromBody]string value)
        {
        }

        // PUT api/values/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/values/5
        public void Delete(int id)
        {
        }
    }
}