﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Json;
using System.Web;
using System.Web.Http.ModelBinding;
using System.Xml.Serialization;

namespace ExtendingMVC.ModelBinding
{
    public class SimpleXmlModelBinder: System.Web.Mvc.IModelBinder
    {

        public object BindModel(System.Web.Mvc.ControllerContext controllerContext, System.Web.Mvc.ModelBindingContext bindingContext)
        {
            var serializer = new XmlSerializer(bindingContext.ModelType);
            var stream = controllerContext.HttpContext.Request.InputStream;
            return serializer.Deserialize(stream);
        }
    }
}