﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ExtendingMVC.ViewEngine
{
    public class CustomRazorEngine: RazorViewEngine
    {
        public CustomRazorEngine(): base()
        {
            var locations = this.PartialViewLocationFormats.ToList();

            locations.Add("~/Views/Navigation/{0}.cshtml");
            locations.Add("~/Views/Navigation/{0}.vbhtml");

            this.PartialViewLocationFormats = locations.ToArray();
        }
    }
}