﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ExtendingMVC.Validation;

namespace ExtendingMVC.Models
{
    public class User
    {
        [Required]
        public string Login { get; set; }
        
        [PasswordValidation(ErrorMessage="Kein gültiges Passwort", MinLength=5, MustHaveSpecialChar=true)]
        public string Password { get; set; }
    }
}