﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ExtendingMVC.ViewEngine
{
    public class ViewEngineDemo: IViewEngine
    {
        public ViewEngineResult FindPartialView(ControllerContext controllerContext, string partialViewName, bool useCache)
        {
            return new ViewEngineResult(new List<string>());
        }

        public ViewEngineResult FindView(ControllerContext controllerContext, string viewName, string masterName, bool useCache)
        {
            if (viewName == "__DEBUG__") { 
                var view = new CustomView();
                return new ViewEngineResult(view, this);
            }
            return new ViewEngineResult(new List<string>());
        }

        public void ReleaseView(ControllerContext controllerContext, IView view)
        {
        }
    }
}