﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Http.Dispatcher;


namespace ExtWebApi.AssemblyResolver
{
    public class CustomAssembliesResolver : DefaultAssembliesResolver
    {
        public override ICollection<System.Reflection.Assembly> GetAssemblies()
        {
            IEnumerable<Assembly> baseAssemblies = base.GetAssemblies();
            var assemblies = new List<Assembly>(baseAssemblies);

            //assemblies.Add(typeof(CalculatorController).Assembly);

            const string path = @"D:\Documents\artikel\WebAPI erweitern\src\ExtWebApi\ControllerLib\bin\Debug\ControllerLib.dll";

            Assembly controllerLibraryAssembly = Assembly.LoadFrom(path);
            assemblies.Add(controllerLibraryAssembly);

            return assemblies;
        }
    }
}