﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using ExtWebApi.Metadata;

namespace ExtWebApi.Controllers
{
    public class Error
    {
        public string Field { get; set; }
        public string ErrorMessage { get; set; }
    }

    public class HotelController : ApiController
    {
        public void Post(Hotel h)
        {
            ThrowIfValidationError();

        }

        private void ThrowIfValidationError()
        {
            if (!this.ModelState.IsValid)
            {
                var result = new List<Error>();
                foreach (var key in this.ModelState.Keys)
                {
                    foreach (var error in this.ModelState[key].Errors)
                    {
                        result.Add(new Error { Field = key, ErrorMessage = error.ErrorMessage });
                    }
                }
            }
        }

    }
}
