﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Http.Dependencies;
using ExtWebApi.Controllers;

namespace ExtWebApi.DependencyResolver
{
    public class CustomDependencyResolver : IDependencyResolver
    {
        public IDependencyScope BeginScope()
        {
            return this;
        }

        public object GetService(Type serviceType)
        {
            if (serviceType == typeof(ValuesController))
            {
                var initData = new List<string> { "A", "B", "C" };
                var controller = new ValuesController(initData);
                return controller;
            }
            return null;
        }

        public IEnumerable<object> GetServices(Type serviceType)
        {
            return Enumerable.Empty<object>();
        }

        public void Dispose()
        {
         
        }
    }
}