﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;
using System.Web;
using System.Web.Http.Controllers;

namespace ExtWebApi.ModelBinder
{
    struct AsyncVoid { }


    public class UserNameParameterBinding : HttpParameterBinding
    {
        public UserNameParameterBinding(HttpParameterDescriptor desc)
            : base(desc)
        {
        }

        public override System.Threading.Tasks.Task ExecuteBindingAsync(System.Web.Http.Metadata.ModelMetadataProvider metadataProvider, HttpActionContext actionContext, System.Threading.CancellationToken cancellationToken)
        {
            SetValue(actionContext, Thread.CurrentPrincipal.Identity.Name);

            var tcs = new TaskCompletionSource<object>();
            tcs.SetResult(null);
            return tcs.Task;

        }
    }
}