﻿using System;
using System.Collections.Generic;
using DI.Data;
using DI.Models;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using NMock;

namespace UnitTestProject1
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestMethod1()
        {
                int? customerIdAsInt = 1;
    string firstName = "";
    string lastName = "";
                List<Customer> fakedResult = new List<Customer>();


            var mocks = new MockFactory();
            var mock = mocks.CreateMock<ICustomerDAO>();
            mock.Expects.One.MethodWith(dao => dao.FindCustomersBy(customerIdAsInt, firstName, lastName)).Will(Return.Value(fakedResult));
            var daoMock = mock.MockObject;

            daoMock.FindCustomersBy(customerIdAsInt, firstName, lastName);

            mocks.VerifyAllExpectationsHaveBeenMet();
            
        }
    }
}
